<?php
/* FUNCTIONS FOR ADVERTISERS */  

function totalAdvertiser($orderby = '')   //Function for finding total number of advertisers based on query
{ 
	global $wpdb;
	$totalAdvertisers = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."advertiser ".$orderby);

	return $totalAdvertisers;
}


function updAdvertiser($id)				  //Function for gathering information of a particular record from advertiser table
{ 
	global $wpdb;
	$rec = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."advertiser WHERE id = '".$id."'");
    return $rec;
}



function selAdvertiser($id)              //Function used when user want to add campaign from advertiser page 
{
	global $wpdb;
	
	$sel = $wpdb->get_results("SELECT * FROM " . $wpdb->prefix ."advertiser WHERE id=".$id);
	return $sel;
	
}

function showCampaignInAdvPage($id)      //Function for showing edit, stats link in advertiser page 
{
	global $wpdb;
	
	$sel = $wpdb->get_results("SELECT * FROM wp_campaign where advertiser_id=".$id);
	return $sel;
}



function addChkAdvertiser($arr)			 //Function for checking duplicate entry of advertisers if return false then insert record
{
	global $wpdb;
	$exist = $wpdb->get_var("SELECT COUNT(*) FROM ".$wpdb->prefix."advertiser WHERE name = '".$arr['name']."' ");

	if( !$exist)
	{
	
		$wpdb->query('INSERT INTO ' . $wpdb->prefix . 'advertiser SET name  = "'.$arr['name'].'", email = "'.$arr['email'].'"');
	
		$err = 0;
	}
	else
	{
		$err = 1;
	}
	return $err;
}


function updChkAdvertiser($arr)				//Function for checking duplicate entry if return false then update record
{ 
	global $wpdb;
	$updcheck = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."advertiser WHERE name!= '".$_REQUEST['aname']."'");

	$arrname = array();

	for($i=0;$i<=count($updcheck);$i++)
	{
		$arrname[] = stripslashes($updcheck[$i]->name);
	}
	$name = stripslashes($_REQUEST['advertiser_nameupd']);
	if(in_array($name, $arrname))
	{ 
		$err = 1;
	}
	else
	{
	    $wpdb->query('UPDATE ' . $wpdb->prefix .'advertiser SET name  = "'.$arr['name'].'", email = "'.$arr['email'].'" WHERE id = "'.$arr['id'].'"');
		$err = 0;
	}
	
	return $err;
}


/* FUNCTIONS FOR SETTING */ 
 
function addSetting($arr)            //FUNCTION FOR ADDING EMAIL
{ 
	global $wpdb;
	
	$email=$arr["email"];
	$currency=$arr["currency"];
	$ins = $wpdb->query(" INSERT INTO ".$wpdb->prefix."adsetting SET id = '1' ");
	$insSetting = $wpdb->query(" UPDATE ".$wpdb->prefix."adsetting SET emailPaypal = '$email',currency = '$currency'  WHERE id=1 ");
	return $insSetting;
	
}

function totalMail()			//FUNCTION FOR FETCHING RECORD FROM SETTING TABLE
{
	global $wpdb;
	$sel = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.'adsetting ');
	
	return  $sel;
}


/* FUNCTIONS FOR CAMPAIGN */ 

function addChkCampaign($arr)                    //Function for checking duplicate entry of campaigns if return false insert record
{  	
	global $wpdb;
	$check = $wpdb->get_var('SELECT COUNT(*) FROM '.$wpdb->prefix.'campaign WHERE name = "'.$arr['name'].'"');
	if( !$check )
	{
	
	// Create startdate
		$sdate = date("Y-m-d", strtotime($arr['sDate']));

		// Create enddate
		if( !empty( $arr['eDate'] ))
		{
			$edate = date("Y-m-d", strtotime($arr['eDate']));
		}
		$enddate = empty( $arr['eDate'] ) ? '0000-00-00' : $edate;
		$status = campaignStatus( 1, $sdate, $enddate );
		
		$wpdb->query('INSERT INTO ' . $wpdb->prefix . 'campaign SET advertiser_id = "'.$arr['advertiserId'].'",name = "'.$arr['name'].'",start_date = "'.$sdate.'",end_date = "'.$enddate.'",status = "'.$status.'", user_id = 0 ');

		$err = 0;
	}
	else
	{
		$err = 1;
	}
	return $err;
}

				
function updChkCampaign($arr)				//Function for checking duplicate entry of campaigns if return false then update record						
{ 
	global $wpdb;
	$updcheck = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.'campaign WHERE name!= "'.$_REQUEST['cname'].'"');
	

	$arrname = array();

	for($i=0;$i<=count($updcheck);$i++)
	{
		$arrname[] = stripslashes($updcheck[$i]->name);
	}
	$name = stripslashes($_REQUEST['campaignNameUpd']);

	if(in_array($name, $arrname))
	{ 
		$err = 1;
	}
	else
	{
		// Create startdate
		$sdate = date("Y-m-d", strtotime($arr['sDate']));
		
		// Create enddate
		if( !empty( $arr['eDate'] ))
		{
			$edate = date("Y-m-d", strtotime($arr['eDate']));
		}
		$enddate = empty( $arr['eDate'] ) ? '0000-00-00' : $edate;
		$status = campaignStatus( 1, $sdate, $enddate );

	    $wpdb->query('UPDATE ' . $wpdb->prefix .'campaign SET name  = "'.$arr['name'].'", start_date = "'.$sdate.'", end_date = "'.$enddate.'", status = "'.$status.'"  WHERE id = "'.$arr['id'].'"');

		$err = 0;
	}
	
	return $err;
}



function campaignPause($id)        //Function for making any campaign as a paused campaign
{
 global $wpdb;
 $pause = $wpdb->query('UPDATE '.$wpdb->prefix.'campaign SET status =3  WHERE id ='.$id);
 
 return $pause;

}

function campaignRun($id) 		//Function for making any campaign as a running campaign
{
 global $wpdb;
 $run = $wpdb->query('UPDATE '.$wpdb->prefix.'campaign SET status =1  WHERE id ='.$id);
 
 return $run;

}




function campaignStatus( $status, $sdate, $edate )      //Function for setting status on the basis of date
{	
	$now = strtotime(date('Y-m-d'));
	$sdate = strtotime($sdate);
	$edate = strtotime($edate);
	if( $now < $sdate )
	{	
		$status = 3;
	}
	elseif( !empty( $edate) && $now > $edate )
	{
	
		$status = 0;
	}
	
	return $status;
}




function chkStatus( $status)			//Function for checking status of campiagns
{	
	
	global $wpdb;
	$checkStatus = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.'campaign WHERE status = "'.$status.'"');
	
	return $checkStatus;
}




function updCampaign($id)
{ 
	global $wpdb;
	$rec = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.'campaign WHERE id = "'.$id.'"');

    return $rec;
}



function getAdvertiser($name)
{
	global $wpdb;
	
	$val = $wpdb->get_results('SELECT wp_advertiser.name FROM wp_advertiser join  wp_campaign on  wp_advertiser.id= wp_campaign.advertiser_id where wp_campaign.name = "'.$name.'"');

    return $val;
}



function selectedCampaign($query='')
{
	global $wpdb;
	$sel = $wpdb->get_results('SELECT * FROM wp_campaign '.$query);
	return $sel;
}




function selectedCampaign1($query='')
{
	global $wpdb;
	$sel = $wpdb->get_results('SELECT * FROM wp_banner '.$query);
	return $sel;
}




function selCampaign($id)               //Function used when user want to add banner from Campaign page 
//Function used to show campaigns list of a particular advertiser (when want to edit campaign from advertiser page) 
										
{
	global $wpdb;
	
	$sel = $wpdb->get_results('SELECT * FROM ' . $wpdb->prefix .'campaign WHERE advertiser_id="'.$id.'" ORDER BY id DESC');
	return $sel;
	
}




function getCampaign()
										
{
	global $wpdb;
	
	$sel = $wpdb->get_results('SELECT * FROM ' . $wpdb->prefix .'campaign  ORDER BY id DESC');
	return $sel;
	
}

function getCampaignCurrentUser($ID)
{
	global $wpdb;
	
	$get = $wpdb->get_results('SELECT * FROM ' . $wpdb->prefix .'campaign  where user_id= "'.$ID.'" ORDER BY id DESC');
	return $get;
}


function countCurrentUser($ID)
{
	global $wpdb;
	
	$count = $wpdb->get_results('SELECT count(user_id) FROM ' . $wpdb->prefix .'campaign  where user_id= "'.$ID.'" ORDER BY id DESC');
	return $count;
}



function getImpresionResult($campaignId,$sDate,$eDate)
{
	global $wpdb;
	
	$sel = $wpdb->get_results('SELECT * FROM ' . $wpdb->prefix .'adstats where campaign_id='.$campaignId);

	for($i=0;$i<count($sel);$i++) 
	{  
		$StatsImprsn[] = unserialize(stripslashes($sel[$i]->impressions));
	}
		
	$StatsImprsn = subval_sort($StatsImprsn['0'],'date');
	
	
	/**   Final Array For Count Impression  **/	


	for($j=0;$j<count($StatsImprsn);$j++)
	{	
		if($sDate!='' && $eDate!='') 
			{
				if(strtotime($StatsImprsn[$j][date])>=strtotime($sDate) && strtotime($StatsImprsn[$j][date])<=strtotime($eDate))
					{
						$arr[$j] = $StatsImprsn[$j][date];
					}
			}
		else
			{
				$arr[$j] = $StatsImprsn[$j][date];
			}
		
	}
	
		
			$i=1;
			$arr2 = array();
			if(count($arr)>0)
			{
				foreach($arr AS $value)
				{
					 if(in_array($value,array_keys($arr2)))
					  $arr2[$value] = $arr2[$value]+1;
					 else
					 {
					  $arr2[$value] = 1;
					 }
				}
			}
			
			$a=0;
			foreach($arr2 AS $key=>$value)
			{
			 $narr[$a][0] = $key;
			 $narr[$a][1] = $value;
			 $a++;
			}
		
			return $narr;
}
		/*End  getImpresionResult Function */


function subval_sort($a,$subkey) {
	if(count($a)>0)
	{
		foreach($a as $k=>$v) {
			$b[$k] = strtolower($v[$subkey]);
		}
		asort($b);
	
		foreach($b as $key=>$val) {
			$c[] = $a[$key];
		}
		return $c;
	}
}



function getCampaignResult($campaignId,$sDate,$eDate)
{
	global $wpdb;
	$sel = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."adstats where campaign_id='$campaignId' and date >= '$sDate' and date <= '$eDate' order by date ASC");
	
	
	$new=array();
	$new[0]['date']='';
	$new[0]['count']=0;
	$new[0]['impressions']=0;
	
	$unique_array[0]=$sel[0]->date;
	$k=0;
	for($i=0;$i<count($sel);$i++)
	{
		if (!(in_array($sel[$i]->date,$unique_array)))
		{
		 $k++;
		 $unique_array[$k]=$sel[$i]->date;
		}
		
	}

	/**   Final Array For Count And Impression  **/	
	
	for($i=0;$i<count($unique_array);$i++)
	{

	for($j=0;$j<(count($sel));$j++)
		{
		
			if($sel[$j]->date==$unique_array[$i])
			{
			$new[$i]['date']=$unique_array[$i];
			$new[$i]['count']=$new[$i]['count']+$sel[$j]->clicks;
			$new[$i]['impressions']=$new[$i]['impressions']+$sel[$j]->impressions;
			}
		}
	}
	
	return $new;	
	
			
}


/////FUNCTIONS FOR BANNER

//Insertion of values in wp_banner ans wp_adv_banner table

function addBanner($arr)
{ 
	global $wpdb;
	
	if( !empty( $arr['file']['url'] ) || !empty( $arr['banner_url'] ))
	{
		$url = !empty( $arr['file']['url'] ) ? $arr['file']['url'] : $arr['banner_url']; $sz = getimagesize( $url );$size = $sz['0'].'x'.$sz[1];
	}
 
	$wpdb->query('INSERT INTO ' . $wpdb->prefix . 'banner SET name = "'.$arr['name'].'", url = "'.$arr['url'].'",target = "'.$arr['target'].'",file = "'.$arr['file']['url'].'",ext_file = "'.$arr['banner_url'].'",size = "'.$size.'",html = "'.$arr['html'].'", advertiser_id = "'.$arr['aid'].'",campaign_id   = "'.$arr['cid'].'",adzone = "'.$arr['zones'].'"');
	$lastid = (int) $wpdb->insert_id;
	
	$wpdb->query('INSERT INTO ' . $wpdb->prefix . 'adv_banner SET advertiser_id = "'.$_REQUEST['advertisersListing'].'",campaign_id = "'.$_REQUEST['campaignsListing'].'", banner_id     = "'.$lastid.'", adzone_id     = "'.$_REQUEST['zones'].'"');																 

	$err = 0;
	return $err;
}


//Updation of values in wp_banner ans wp_adv_banner table
function updateBanner($arr)
{ 
 
	global $wpdb;

	if( empty( $arr['file']['url'] ) && empty( $arr['banner_url'] ) && empty( $arr['html'] ) )
	{
		$res=totalBanner('WHERE id = "'.$arr['id'].'" LIMIT 1');$arr['file']['url'] = $res[0]->file;$arr['banner_url']  = $res[0]->ext_file;$arr['html']= $res[0]->html;
	}
	
	if( !empty( $arr['file']['url'] ) || !empty( $arr['banner_url'] ))
	{
		$url = !empty( $arr['file']['url'] ) ? $arr['file']['url'] : $arr['banner_url'];	$sz = getimagesize( $url );	$size = $sz['0'].'x'.$sz[1];
	}
	

	$wpdb->query('UPDATE ' . $wpdb->prefix . 'banner SET name  = "'.$arr['name'].'",url = "'.$arr['url'].'",target = "'.$arr['target'].'",file = "'.$arr['file']['url'].'",ext_file = "'.$arr['banner_url'].'",size = "'.$size.'",html = "'.$arr['html'].'",adzone = "'.$arr['zones'].'"WHERE id = "'.$arr['id'].'"');
	
	$wpdb->query('UPDATE ' . $wpdb->prefix . 'adv_banner SET  adzone_id  = "'.$_REQUEST['zonesUpd'].'" WHERE banner_id="'.$_REQUEST['id'].'"');		
	
}



function selBanner($id)
{
	global $wpdb;
	$val = $wpdb->get_results('SELECT ban.*, advban.adzone_id FROM ' . $wpdb->prefix . 'banner ban, ' . $wpdb->prefix . 'adv_banner advban	WHERE advban.banner_id = 
	ban.id AND advban.adzone_id = "'.$id.'" ORDER BY ban.id DESC');
	
	return $val;
}




function totalBanner($query='')
{
	global $wpdb;
	$total = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.'banner '.$query);

    return $total;
}


function showBanner( $url, $link = '', $target = '_blank', $id = '' )
{
	global $wpdb, $pluginUrl;
	
	if( !empty( $id ))
	{
		$banner = totalBanner( 'WHERE id = "'.$id.'" LIMIT 1' );
	}
		
	$path_info = pathinfo( $url );
	if( $path_info['extension'] == 'swf' )
	{
		if( !empty( $banner[0]->size ))
		{
			$size = explode('x', $banner[0]->size);
		}
		else
		{
			$size = getimagesize( $url );
		}
		
		$res.= '<object width="'.$size[0].'" height="'.$size[1].'">';
		$res.= '<param value="'.$url.'"></param>';
		$res.= '<param value="true"></param>';
		$res.= '<param value="always"></param>';
		$res.= '<param  value="transparent"></param>';
		$res.='<embed src="'.$url.'" type="application/x-shockwave-flash" width="'.$size[0].'" height="'.$size[1].'" allowscriptaccess="always" allowfullscreen="true">
		</embed></object>';
	}
	else
	{	
    	$res = '<img src="'.$url.'" alt="'.$banner[0]->name.'" />';
    }
	
	if( !empty( $link ) )
	{	
		$res = '<a href="'.get_bloginfo('url').'?id='.$id.'&aid='.$banner[0]->advertiser_id.'&cid='.$banner[0]->campaign_id.'&move_to='.$link.'" target="'.$target.'">'.$res.'</a>';
	}
	
	return $res;	
}

function showSignUpBanner($link,$ht)
{
    $ht1 = $ht/2;
	global $wpdb, $pluginUrl;?>
    
	<?php /* <script type="text/javascript" src="<?php echo WP_PLUGIN_URL.'/wp-adcenter/js/jquery-1.6.4.min.js'?>" /></script>*/ ?>
	<script type="text/javascript">
		jQuery(document).ready(function(){
			
			// For vertical height
			var containerHeight = jQuery("#container1").height();
			var contentHeight 	= jQuery("#container1 .content1").height();
			var h = (containerHeight - contentHeight)/2;
			jQuery("#container1 .content1").css("padding-top", <?php echo $ht1;?>);
		});
	</script><?php
	echo '<style type="text/css">*{margin:0; padding:0;color:#000000;}#container1{text-align:center;}</style>';
	$res = '<a href="'.$link.'" target="_blank" style=" text-decoration:none;"><div id="container1"><div class="content1">Advertise Here</div></div></a>';
	return $res;		
}






function chkBannerType( $type )
{
	if( !empty( $type->file ))
	{
		$arr = array('file' => $type->file,'type' => 'file');
	}
	elseif( !empty( $type->ext_file ))
	{
		$arr = array('file' => $type->ext_file,'type' => 'ext_file');
	}
	elseif( !empty( $type->html ))
	{
		$arr = array('file' => $type->html,'type' => 'html');
	}
	
	return $arr;
}


function showBannerToolTip( $url, $link = '', $target = '_blank', $id = '' )
{
	global $wpdb, $pluginUrl;
	
	if( !empty($id))
	{
		$banner = totalBanner('WHERE id = "'.$id.'" LIMIT 1');
	}
	
	$path_info = pathinfo($url);
	if( $path_info['extension'] == 'swf' )
	{
		if( !empty( $banner[0]->size ))
		{
			$size = explode('x', $banner[0]->size);
		}
		else
		{
			$size = getimagesize( $url );
		}
				
		$res.= '<object width="'.$size[0].'" height="'.$size[1].'">';
		$res.= '<param value="'.$url.'"></param>';
		$res.= '<param value="true"></param>';
		$res.= '<param value="always"></param>';
		$res.= '<param  value="transparent"></param>';
		$res.='<embed src="'.$url.'" type="application/x-shockwave-flash" width="'.$size[0].'" height="'.$size[1].'" allowscriptaccess="always" allowfullscreen="true">
		</embed></object>';
	}
	else
	{
    	$res = '<img src="'.$url.'" alt="'.$banner[0]->name.'" />';
    }
	
	if($link!="")
	{
		$res = '<a href="'.get_bloginfo('url').'?id='.$id.'&aid='.$banner[0]->advertiser_id.'&cid='.$banner[0]->campaign_id.'&move_to='.$link.'" target="'.$target.'">'.$res.'</a>';
	}
	
	return $res;	
}




/////FUNCTIONS FOR AD ZONES


function addChkZones($arr)
{  	
	global $wpdb;
	
	$check = $wpdb->get_var('SELECT COUNT(*) FROM '.$wpdb->prefix.'adzone WHERE name = "'.$arr['name'].'"');
	if( !$check )
	{
		if($arr['size'] == 'custom')
		{
			$size = $arr['custwdth'].'x'.$arr['custhght'];
			$custom = 1;
		}
		else {$size = $arr['size']; $custom = 0;}
		if($arr['showadvert']=='on') $advert = 1; else $advert = 0;
	
$wpdb->query('INSERT INTO ' . $wpdb->prefix.'adzone SET name = "'.$arr['name'].'",size = "'.$size.'",description = "'.$arr['desc'].'",horizontal = "'.$arr['horizontal'].'",vertical = "'.$arr['vertical'].'",custom="'.$custom.'",showsignuplink="'.$advert.'",signuplink="'.$arr['signupurl'].'"');

		$err = 0;
	}
	else
	{
		$err = 1;
	}
	return $err;
}




function updChkZones($arr)
{ 
	global $wpdb;
	$updcheck = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.'adzone WHERE name!= "'.$_REQUEST['zname'].'"');

	$arrname = array();

	for($i=0;$i<=count($updcheck);$i++)
	{
		$arrname[] = stripslashes($updcheck[$i]->name);
	}
	$name = stripslashes($_REQUEST['zoneNameUpd']);
	if(in_array($name, $arrname))
	{ 
		$err = 1;
	}
	else
	{
	
		if($arr['size'] == 'custom')
		{
		$size = $arr['custwdth'].'x'.$arr['custhght'];
		$custom = 1;
		}
		else {$size = $arr['size']; $custom = 0;}
		if($arr['showadvert']=='on') $advert = 1; else $advert = 0;

	    $wpdb->query('UPDATE ' . $wpdb->prefix .'adzone SET name = "'.$arr['name'].'",size = "'.$size.'",description = "'.$arr['desc'].'",horizontal = "'.$arr['horizontal'].'",vertical = "'.$arr['vertical'].'",custom="'.$custom.'",showsignuplink="'.$advert.'",signuplink="'.$arr['signupurl'].'" WHERE id="'.$arr['id'].'"');
		$err = 0;
	}
	
	return $err;
}




function totalZones($orderby = '')
{ 
	global $wpdb;
	$totalZones = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.'adzone '.$orderby);

	return $totalZones;
}



function totalZonesWithPrice()
{ 
	global $wpdb;
	$totalZonesPrice = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.'adzone ORDER BY name ASC');

	return $totalZonesPrice;
}



function updZones($id)
{ 
	global $wpdb;
	$rec = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.'adzone WHERE id = "'.$id.'"');
    return $rec;
}


/////FUNCTIONS FOR PACKAGES


function addPackages($arr)						//Function for Inserting Package record
{  
	global $wpdb;
	if($arr['monthcost']!="") $dur = $arr['duration'];
	else $dur = '';
		
	$ins = $wpdb->query('INSERT INTO ' . $wpdb->prefix .'adpackage SET name  = "'.$arr['name'].'", adzone_id  = "'.$arr['adzone_id'].'", description  = "'.$arr['desc'].'", m_cost  = "'.$arr['monthcost'].'", duration  = "'.$dur.'", i_cost  = "'.$arr['impcost'].'",  impressions = "'.$arr['impression'].'"');
		
	return $ins;
}


function updPackages($arr)				//Function for updating packages
{ 
	global $wpdb;
	if($arr['monthcost']!="") $dur = $arr['duration'];
	else $dur = '';
	$upd =  $wpdb->query('UPDATE ' . $wpdb->prefix .'adpackage SET name  = "'.$arr['name'].'", adzone_id  = "'.$arr['adzone_id'].'", description  = "'.$arr['desc'].'", m_cost  = "'.$arr['monthcost'].'", duration  = "'.$dur.'", i_cost  = "'.$arr['impcost'].'",  impressions = "'.$arr['impression'].'" where id ="'.$arr['id'].'"');
	
	return $upd;
}

function totalPackages($orderby = '')
{ 
	global $wpdb;
	$totalPackages = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.'adpackage '.$orderby);

	return $totalPackages;
}

function updPackage($id)					//Function for gathering information of a particular record from package table
{ 
	global $wpdb;
	$rec = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."adpackage WHERE id = '".$id."'");
    return $rec;
}



//  FUNCTIONS FOR STATISTICS

function totalStats( $query = '' )    //For number of stats record based on Query
{
	global $wpdb;
	$record = $wpdb->get_results("SELECT * FROM " . $wpdb->prefix ."adstats ".$query );
	return $record;
}



function Impression( $advertise )			//FUNCTION FOR INSERTION OF IMPRESSION IF NOT EXIST AND UPDATE IF EXISTS
{
	global $wpdb;
	$date=date('Y-m-d');	
	$totalstats = totalStats( "WHERE advertiser_id = '".$advertise->advertiser_id."' AND campaign_id = '".$advertise->campaign_id."' AND banner_id = '".$advertise->id."' AND `date`='".$date."' LIMIT 1" );
	
	//$arr_of_imp = array('date'=> date('Y-m-d'),'impr'=> 1);

	if( count( $totalstats ))
	{ 
		//$imp_arr = unserialize(stripslashes( $totalstats[0]->impressions ));
		
		//$imp_arr[] = $arr_of_imp;
		$wpdb->query("UPDATE " . $wpdb->prefix . "adstats SET impressions = impressions+1  WHERE id = '".$totalstats[0]->id."'");
	}
	else
	{
		//$imp_arr[] = $arr_of_imp;
		$wpdb->query("INSERT INTO " . $wpdb->prefix . "adstats (advertiser_id, campaign_id, banner_id, `date`, impressions, clicks) values
		( '".$advertise->advertiser_id."',
		'".$advertise->campaign_id."',
		 '".$advertise->id."',
		 NOW(),
		 '1',
		 '0' ) ");
	}
}


/*
 * CHECK FOR FINISHED CAMPAIGNS
*/
function checkFinished()
{	
	global $wpdb;
	$camp = getCampaign( "ORDER BY id DESC" );
	
	for( $i = 0; $i < count($camp); $i++ )
	{
		$status = campaignStatus($camp[$i]->status,$camp[$i]->start_date,$camp[$i]->end_date);

		if($status==0 )
		{	
			// Update campaign
			$wpdb->query("UPDATE " . $wpdb->prefix . "campaign SET status = '".$status."'  WHERE id = '".$camp[$i]->id."'");
		}
	}
}




//FUNCTION FOR SHORTCODE IN THEME

function getPrice($id)   //For Fetching Information From wp_package table
{
	global $wpdb;
	$val = $wpdb->get_results("SELECT id,name,m_cost,duration,i_cost,impressions from ".$wpdb->prefix."adpackage where adzone_id=".$id);
	
	return $val;
}

function getSelectedZones($id)  //For fetching information from wp_adzone table based om id
{
	global $wpdb;
	$value = $wpdb->get_results("SELECT * from ".$wpdb->prefix."adzone where id=".$id);
	
	return $value;
}


// FUNCTION FOR GETTING ID OF LAST CREATED USER

function getNewUserCreated()
{
	global $wpdb;
	$id = $wpdb->get_var("SELECT ID FROM ".$wpdb->prefix."users order by ID DESC");
	
	return  $id;

}

function insertRecord($arr)
{		
	global $wpdb;
	
	$ins = $wpdb->query('INSERT INTO ' . $wpdb->prefix .'aduserzones SET user_id  = "'.$arr['userId'].'", selected_zone  = "'.$arr['zone_id'].'", banner_size  = "'.$arr['bannerSize'].'", name  = "'.$arr['name'].'",password = "'.$arr['pswd'].'", email  = "'.$arr['email'].'", package_id  = "'.$arr['price'].'",  uploaded_files = "'.$arr['file']['url'].'", website_url = "'.$arr['webUrl'].'", alt_text = "'.$arr['alt'].'"');
	
	return $ins;
	
}


function getLastRecord($getzoneId)
{
	global $wpdb;
	$rec = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."aduserzones where id=".$getzoneId);
	
	return $rec;

}

function getIdLastZoneAdded()
{
	global $wpdb;
	$lastid = $wpdb->get_var("SELECT id FROM ".$wpdb->prefix."aduserzones order by id DESC");
	
	return $lastid;

}


function getZone($id)
{
	global $wpdb;
	$selid = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."adzone where id=".$id);
	
	return $selid;
	
}


function getEmail()					 //Function for getting infromation from wp_adsetting table 
{
	global $wpdb;
	$selmail = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."adsetting LIMIT 1");
	
	return $selmail;
}

function getPackage($pckgid)          //Function for getting infromation from wp_adpackage table based on package id
{
	global $wpdb;
	$selprice = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."adpackage WHERE id=".$pckgid);
	
	return $selprice;

}


// FUNCTION FOR STATUS MODULE

function totalUser($orderby = '')   //Function for finding total number of advertisers based on query
{ 
	global $wpdb;
	$totalUser = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."aduserzones ".$orderby);

	return $totalUser;
}



function checkStatus($id) 		//Function for changing the status of the user
{	
	global $wpdb;
	$check = $wpdb->get_results('SELECT approved FROM '.$wpdb->prefix.'aduserzones  WHERE id ='.$id);
	
	return $check;

}



function changeStatus($id) 		//Function for changing the status of the user
{	
	global $wpdb;
	$change = $wpdb->query('UPDATE '.$wpdb->prefix.'aduserzones SET approved=1  WHERE id ='.$id);
	
	return $change;

}


function userInfo($id) 		//Function for getting user information based on id
{	
	global $wpdb;
	$info = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.'aduserzones WHERE id ='.$id);
	
	return $info;

}


function lastAdvertiser()    //FUNCTION FOR FETCHING RECORD OF LAST ADVERTISER INSERTED
{
	global $wpdb;
	$record = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.'advertiser ORDER BY id desc LIMIT 1');
	
	return $record;
}


function lastCampaign()    //FUNCTION FOR FETCHING RECORD OF LAST CAMPAIGN INSERTED
{
	global $wpdb;
	$lastrecord = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.'campaign ORDER BY id  desc LIMIT 1');
	
	return $lastrecord;
}


function lastBanner()    //FUNCTION FOR FETCHING RECORD OF LAST BANNER INSERTED
{
	global $wpdb;
	$lastban = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.'banner ORDER BY id  desc LIMIT 1');
	
	return $lastban;
}



function lastZone()    //FUNCTION FOR FETCHING RECORD OF LAST ZONE INSERTED
{
	global $wpdb;
	$lastzone = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.'adzone ORDER BY id  desc LIMIT 1');
	
	return $lastzone;
}


function insertAdvertiser($name,$email)    //FUNCTION FOR INSERTING ADVERTISER WHEN USER STATUS GET APPROVED
{
	global $wpdb;
	$insAdv = $wpdb->query('INSERT INTO ' . $wpdb->prefix . 'advertiser SET name  = "'.$name.'", email = "'.$email.'"');
	return $insAdv;
}


function insertCampaign($adid,$name,$userid,$edate)    //FUNCTION FOR INSERTING CAMPAIGN WHEN USER STATUS GET APPROVED
{	
	global $wpdb;
	if($edate=='')$edate='0000-00-00';
	$insCam = $wpdb->query('INSERT INTO ' . $wpdb->prefix . 'campaign SET advertiser_id  = "'.$adid.'", name = "'.$name.'", start_date = "'.date('Y-m-d').'", end_date = "'.$edate.'", status=1, user_id = "'.$userid.'"');
	
	return $insCam;
}



function insertBanner($adid,$camid,$name,$upload,$size,$url,$zone)    //FUNCTION FOR INSERTING BANNER WHEN USER STATUS GET APPROVED
{
	global $wpdb;
	$insZone = $wpdb->query('INSERT INTO ' . $wpdb->prefix . 'banner SET advertiser_id  = "'.$adid.'",campaign_id  = "'.$camid.'", name = "'.$name.'", file = "'.$upload.'", ext_file = "", size="'.$size.'", html="", url="'.$url.'", target = "_blank",adzone = "'.$zone.'"');
	
	return $insZone;
}


function insertIds($adid,$campid,$banid,$zoneid)    //FUNCTION FOR INSERTING IDS IN ADV_BANNER TABLE  WHEN USER STATUS GET APPROVED
{	
	global $wpdb;
	$insId = $wpdb->query('INSERT INTO ' . $wpdb->prefix . 'adv_banner SET advertiser_id = "'.$adid.'",campaign_id = "'.$campid.'", banner_id = "'.$banid.'", adzone_id = "'.$zoneid.'"');
	
	return $insId;
}

function impressionEndDate()    //FUNCTION FOR FINDING THE END DATE OF BANNER ON THE BASIS OF IMPRESSION
{	
	global $wpdb;
	$total = $wpdb->get_results('SELECT * FROM '. $wpdb->prefix . 'campaign where end_date="0000-00-00"');
	
	for($i=0;$i<count($total);$i++)
	{
		$userzone = $wpdb->get_results('SELECT * FROM '. $wpdb->prefix . 'aduserzones where user_id = "'.$total[$i]->user_id.'"');
		$pack = $wpdb->get_results('SELECT * FROM '. $wpdb->prefix . 'adpackage where id = "'.$userzone[0]->package_id.'"');
		$stats = $wpdb->get_results('SELECT * FROM '. $wpdb->prefix . 'adstats where campaign_id = "'.$total[$i]->id.'"');
		if(isset($pack[0]->impressions))
		{
			if($pack[0]->impressions<count(unserialize($stats[0]->impressions)))
			{	
				$wpdb->query("UPDATE " . $wpdb->prefix . "campaign SET status = '0'  WHERE id = '".$stats[0]->campaign_id."'");
			}
		}
	
	}
}

function statsAdvertiserName($id)
{
	global $wpdb;
	$name = $wpdb->get_results('SELECT name FROM '. $wpdb->prefix . 'advertiser where id=(SELECT advertiser_id from '. $wpdb->prefix . 'campaign where id="'.$id.'" )');
	return $name;
	
}


function statsCampaignName($id){

	global $wpdb;
	$name = $wpdb->get_results('SELECT name FROM '. $wpdb->prefix . 'campaign where id="'.$id.'" ');
	return $name;

}


function userAdvertiserName()				  //Function for gathering advertiser name from advertiser table
{ 
	global $wpdb;
	$rec = $wpdb->get_results("SELECT name FROM ".$wpdb->prefix."advertiser");
	
	for($j=0;$j<count($rec);$j++)
	{
		$name[] = $rec[$j]->name;
	
	}
    return $name;
}